<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    {{ fullName }}
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        firstName : 'Tuanku',
        lastName : 'Imam Bonjol'
      },
      computed : {
        fullName : {
          get(){ 
            return `${this.firstName}  ${this.lastName}`
          },
          set(param){ 
            let arr = param.split(" ")
            this.firstName = arr [0]
            arr.shift () 
            this.lastName = arr.join(' ')
            

          }
        }
      },
      methods : {}
  })
  </script>
</body>
</html>